Retrieve fine-tuning job
curl --request GET \
--url https://vaeroapi.com/v1/fine_tuning/jobs/{fine_tuning_job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vaeroapi.com/v1/fine_tuning/jobs/{fine_tuning_job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vaeroapi.com/v1/fine_tuning/jobs/{fine_tuning_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "fine_tuning.job",
"id": "ftjob-abc123",
"style_model": "vaero-2",
"base_model": "gpt-4o",
"created_at": 1721764800,
"fine_tuned_model": "ftm-custom-name-0b5ace7e-ffb2-43cf-8a4d-0af17bc2b1d1",
"organization_id": "org-123",
"status": "succeeded",
"training_files": [
"file-abc123",
"file-abc124"
]
}{
"error": "Invalid API key."
}{
"error": "Fine-tuning job not found."
}Fine Tuning
Retrieve fine-tuning job
Get info about a fine-tuning job by its ID.
GET
/
fine_tuning
/
jobs
/
{fine_tuning_job_id}
Retrieve fine-tuning job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the fine-tuning job.
Response
A fine-tuning job object.
The type of the object, always 'fine_tuning.job'.
Example:
"fine_tuning.job"
The ID of the fine-tuning job.
Example:
"ftjob-abc123"
The model being fine-tuned.
Example:
"vaero-2"
The name of the base model whose output is to be styled.
Example:
"gpt-4o"
Unix timestamp for when the job was created.
Example:
1721764800
The name of the fine-tuned model.
Example:
"ftm-custom-name-0b5ace7e-ffb2-43cf-8a4d-0af17bc2b1d1"
The organization ID associated with this fine-tuning job.
Example:
"org-123"
The current status of the job.
Example:
"succeeded"
Array of file IDs used for training.
Example:
["file-abc123", "file-abc124"]

